Bug 169230 - "Remove Metadata" tool necessary
Summary: "Remove Metadata" tool necessary
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Generic-MetadataEdit (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist with 21 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-16 13:21 UTC by Dotan Cohen
Modified: 2017-07-09 17:31 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dotan Cohen 2008-08-16 13:21:07 UTC
Version:            (using KDE 4.1.0)
Installed from:    Ubuntu Packages

Digital photos can convey much metadata that users may not be aware about. Especially in the case of Digikam where users can add comments, tags, and other metadata to a photo, it is necessary to have a way to clear this data. Users may send photos to friends or relatives, and the metadata may contain information that is sensitive or classified. There are known cases of other file format's metadata being used against the file's original sender (notably MS Word documents), and there is reason to suspect that similar cases could arise in the case of digital photographs as well.
Comment 1 caulier.gilles 2008-08-17 10:05:20 UTC
Dotan,

But with metadata edit plugin, you can already remove a lots of metadata from image files. this is not enough ?

Gilles Caulier
Comment 2 Dotan Cohen 2008-08-17 11:13:18 UTC
With the metadata edit plugin, one could go through the metadata piece by piece and remove what he needs. However, Digikam needs a very quick method that can remove all the metadata from multiple photos at the same time before exporting them. This is because users may want to send photos to friends and family, but not worry about what metadata may be there.

Actually, I think that the best implementation of this would be a "Remove Metadata" checkbox in the Export dialogs.
Comment 3 caulier.gilles 2011-04-05 10:25:04 UTC
In digiKam Btach Queue Manager, there is a tool to remove metadata...

http://www.flickr.com/photos/digikam/5591763794/sizes/o/in/photostream/

Gilles Caulier
Comment 4 caulier.gilles 2011-04-05 10:30:22 UTC
Git commit a1c489ac38ebd483e4cc15037f6762b2975aaf09 by Gilles Caulier.
Committed on 05/04/2011 at 10:33.
Pushed by cgilles into branch 'master'.

remove actions relevant of "Remove metadata", which exist in Batch Queue Manager as tool and is more powerfull to batch items.
BUGS: 169230

M  +0    -206  metadataedit/plugin/plugin_metadataedit.cpp     
M  +0    -6    metadataedit/plugin/plugin_metadataedit.h     

http://commits.kde.org/kipi-plugins/a1c489ac38ebd483e4cc15037f6762b2975aaf09